# Travel PIC API

### Pipeline
Alle pushes auf den Master werden über die Pipeline gebaut und in die Live-API geupdated. So können wir alle mit der gleichen Api arbeiten und alle Änderungen vornehmen.
Base des aktuellen Live-Master sitzt hinter einem Rev-Proxy unter: https://api.travelpic.app




.env:

```bash
PORT=3001
SIGNINGKEY=<key>
```

# User API Documentation
## Endpoints
### 1. Create User
**Endpoint:**  
`POST /user/createUser/`
**Description:**  
This endpoint allows for creating a new user.
**Response Codes:**
- `201 Created`: The user has been successfully created.
- `400 Bad Request`: Missing required fields.
- `500 Internal Server Error`: An error occurred while creating the user.

---

### 2. Get All Users
**Endpoint:**  
`GET /user/getUser/`
**Description:**  
This endpoint retrieves all users.
**Response Codes:**
- `200 OK`: Returns a list of users.
- `500 Internal Server Error`: An error occurred while fetching the users.

---

### 3. Get User by ID
**Endpoint:**  
`GET /user/getUserById/:userId`
**Description:**  
This endpoint retrieves a user by their unique ID.
**Response Codes:**
- `200 OK`: Returns the user's details.
- `404 Not Found`: User with the specified ID not found.
- `500 Internal Server Error`: An error occurred while fetching the user.

---

### 4. Update User by ID
**Endpoint:**  
`PUT /user/updateUser/:userId`
**Description:**  
This endpoint updates user information based on their ID.
**Response Codes:**
- `200 OK`: The user's information was successfully updated.
- `404 Not Found`: User with the specified ID not found.
- `500 Internal Server Error`: An error occurred while updating the user.

---



## Friend-Routen (/friend)
### `POST /friend/addFriend`
```json
{
    "socialHandle": string,
    "newFriend": number
}
```
### `POST /friend/remFriend`
```json
{
    "socialHandle": string,
    "newFriend": number
}
```

## Post-Routen (/posts)
### `POST /posts/addPost`
Als Formdata mit mehreren Images mit dem Key "postImages"
| Key | Value |
|------------|--------|
| postImages | File |
| postImages | File |
| postImages | File |
| reiseid | String |
| userid | String |
| temperatureInCelsius | String | Number |
| coords | String (Json-String nach ICoords (./src/interfaces/ICoords.d.ts)) |
| caption | String |
### `GET /posts/remPost/:postid`
```any
curl <base>/posts/remPost/66e97168d5ec81225780757d
```

### `GET /posts/getAllPosts/:userid`
```any
curl <base>/posts/getAllPosts
```
userid: Id des eingeloggten Users. Die Route gibt alle Posts zurück, die von Freunden des Users hochgeladen wurden.
