"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const app = (0, express_1.default)();
const cors_1 = __importDefault(require("cors"));
const consts_1 = __importDefault(require("./consts"));
const body_parser_1 = __importDefault(require("body-parser"));
const token_1 = __importDefault(require("./token"));
const bridge = __importStar(require("./bridge"));
require('dotenv').config();
const path_1 = __importDefault(require("path"));
const mongoose_1 = __importDefault(require("mongoose"));
const user_routes_1 = __importDefault(require("./routes/user.routes"));
const friends_routes_1 = __importDefault(require("./routes/friends.routes"));
const reisen_routes_1 = __importDefault(require("./routes/reisen.routes"));
const posts_routes_1 = __importDefault(require("./routes/posts.routes"));
const DBURL = process.env.DBURL;
const INITTIME = new Date();
if (!DBURL) {
    console.log("No DBURL found in .env file");
    process.exit(1);
}
else {
    mongoose_1.default.connect(DBURL)
        .then(() => {
        console.log('Connected to database!');
    })
        .catch(() => {
        console.log('Connection failed!');
    });
}
app.use((0, cors_1.default)({
    origin: "*"
}));
app.use(body_parser_1.default.json());
/////////////////////////////////////////////////////////////////////
//                          Config-End
/////////////////////////////////////////////////////////////////////
//start tests
app.get("/connectionTest", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    yield bridge.connectionTest(res, req);
}));
app.get("/connectionAuthTest", token_1.default, (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    yield bridge.connectionAuthTest(res, req);
}));
app.get("/getAPIStartTimeStamp", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const germanDate = INITTIME.toLocaleString('de-DE', {
        day: '2-digit',
        month: '2-digit',
        year: 'numeric',
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit',
        timeZone: 'Europe/Berlin'
    });
    return res.json({ apistarttime: germanDate });
}));
//end tests
// app.get('/auth/:email/:password/', async (req, res) => {
//     const email = req.params.email;
//     const password = req.params.password;
//     const payload = { username: email };
//     const accessToken = jwt.sign(payload, consts.signingkey);
//     res.status(200).json({worked: true, error: null, token: accessToken}); 
// });
app.use('/user', user_routes_1.default);
app.use('/uploads', express_1.default.static(path_1.default.resolve(__dirname, './uploads/')));
app.use('/friend', friends_routes_1.default);
app.use('/reisen', reisen_routes_1.default);
app.use('/posts', posts_routes_1.default);
console.log("Main-API-Port: " + consts_1.default.api_port);
app.listen(consts_1.default.api_port);
