"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllPosts = exports.remPost = exports.addPost = void 0;
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const posts_model_1 = __importDefault(require("../models/posts.model"));
function addPost(req, res) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const { reiseid, temperatureInCelsius, coords, caption } = req.body;
            if (!reiseid || !temperatureInCelsius || !coords || !caption) {
                return res.status(500).json({ errmsg: "malformed body" });
            }
            const imagePaths = [];
            //muss so wegen upload.array() multer config
            if (req.files && Array.isArray(req.files)) {
                req.files.forEach((file) => {
                    imagePaths.push(file.path);
                });
            }
            var postCoords;
            try {
                postCoords = JSON.parse(coords);
            }
            catch (error) {
                return res.status(500).json({ errmsg: "Could not parse form-data-key: coords to valid ICoords. Pls check" });
            }
            const p = new posts_model_1.default({
                reiseid: reiseid,
                imagePaths: imagePaths,
                temperatureInCelsius: temperatureInCelsius,
                postedAt: new Date(),
                coords: postCoords,
                caption: caption
            });
            const saved = yield p.save();
            res.status(200).json(saved);
        }
        catch (err) {
            res.status(500).json({ message: err instanceof Error ? err.message : 'An error occurred' });
        }
    });
}
exports.addPost = addPost;
function remPost(req, res) {
    return __awaiter(this, void 0, void 0, function* () {
        const postIdToDelete = req.params.postid;
        if (!postIdToDelete) {
            return res.status(500).json({ errormsg: "No postid specified" });
        }
        const delpOst = yield posts_model_1.default.findByIdAndDelete(postIdToDelete);
        return res.status(500).json(delpOst);
    });
}
exports.remPost = remPost;
function getAllPosts(req, res) {
    return __awaiter(this, void 0, void 0, function* () {
        const posts = yield posts_model_1.default.find();
        return res.status(500).json(posts);
    });
}
exports.getAllPosts = getAllPosts;
