"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getReisenByUserId = exports.createReise = void 0;
const reisen_model_1 = __importDefault(require("../models/reisen.model"));
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const createReise = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const { name, location, startDate, endDate, userId } = req.body;
        if (!name || !location || !location.lat || !location.lon || !startDate || !endDate || !userId) {
            res.status(400).json({ message: 'Missing required fields' });
            return;
        }
        const newReise = new reisen_model_1.default({
            name,
            location: {
                lat: location.lat,
                lon: location.lon
            },
            startDate,
            endDate,
            userId
        });
        const savedReise = yield newReise.save();
        res.status(201).json(savedReise);
    }
    catch (err) {
        res.status(500).json({ message: err instanceof Error ? err.message : 'An error occurred' });
    }
});
exports.createReise = createReise;
const getReisenByUserId = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const userId = req.params.userId;
        const reisen = yield reisen_model_1.default.find({ userId });
        res.status(200).json(reisen);
    }
    catch (err) {
        res.status(500).json({ message: err instanceof Error ? err.message : 'An error occurred' });
    }
});
exports.getReisenByUserId = getReisenByUserId;
