"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const user_controller_1 = require("../controller/user.controller");
const multer_mw_1 = __importDefault(require("../middleware/multer.mw"));
const router = express_1.default.Router();
router.post('/createUser', multer_mw_1.default.single('profilePicture'), user_controller_1.createUser);
router.get('/getUser', user_controller_1.getUser);
router.get('/getUserById/:userId', user_controller_1.getUserById);
router.put('/updateUser/:userId', multer_mw_1.default.single('profilePicture'), user_controller_1.updateUser);
exports.default = router;
