import { NextFunction, Request, Response } from 'express';
import dotenv from 'dotenv';
dotenv.config();
import User from '../models/user.model';

async function addFriend(req: Request, res: Response){

    const {ownId, friendId} = req.body;

    const friend = await User.findOneAndUpdate({kc_id: friendId}, { $push: { followers: ownId } }, {new: true});
    const result = await User.findOneAndUpdate({kc_id: ownId}, { $push: { following: friendId } }, {new: true});

    return res.status(200).json(result);
}

async function remFriend(req: Request, res: Response){

    const {ownId, friendId} = req.body;

    const friend = await User.updateOne({kc_id: friendId}, { $pull: { followers: ownId } }, {new: true});
    const result = await User.updateOne({kc_id: ownId}, { $pull: { following: friendId } }, {new: true});
    return res.status(200).json(result);
}



export {
    addFriend,
    remFriend
};