/**
 * keycloak.ts
 * Keycloak-Service
 * Hier landen alle Routinen rund um dem Keycloak
 * (wird unter anderem von den Routern importiert)
 */

import * as session from 'express-session';
import Keycloak from 'keycloak-connect';

let keycloak: any;
let memoryStore: any;

if (!keycloak) {
    try {
        memoryStore = new session.MemoryStore();
        keycloak = new Keycloak({store: memoryStore});

        if (keycloak) {
            console.log('keycloak', 'init');
        } else {
            console.log('keycloak', 'connection failed');
        }
    } catch (error: unknown) {
        if (error instanceof Error) {
            console.log('keycloak', 'connection failed ' + error.message);
        }
    }
}


const getKeycloak = (): any => {
    if (!keycloak) {
        console.log('keycloak', 'noch nicht initialisiert', 'System');
    }
    return keycloak;
};

const getMemoryStore = (): any => {
    return memoryStore;
};

export {getKeycloak, getMemoryStore};

