import mongoose, { Schema, Document, ObjectId } from 'mongoose';
import ICoords from '../interfaces/ICoords';

export interface IPost extends Document {
    reiseid: string;
    userid: string;
    imagePaths: string[];
    temperatureInCelsius: number;
    postedAt: Date;
    coords: ICoords;
    caption: string;
    likedBy: string[];
    dateTime: Date;
}

const postsSchema: Schema = new mongoose.Schema({
    reiseid: { type: String, required: true },
    userid: { type: String, required: true }, //ohne die Userid, müsste man 3 Calls pro Post machen, um an den User zu kommen. Man müsste aus dem Post die Reiseid nehmen, damit dann die Reise
    //anfragen, aus der Reise dann die Userid nehmen und damit den User anfragen. Dann lieber hier Reise und User doppelt verketten
    imagePaths: { type: [String], required: true },
    temperatureInCelsius: { type: Number, required: true },
    postedAt: { type: Date, required: true },
    coords: { type: Object, required: true },
    caption: { type: String, required: true },
    likedBy: { type: [String], require: true },
    dateTime: { type: Date, required: true },
});

const Post = mongoose.model<IPost>('Posts', postsSchema);

export default Post;
