import mongoose, { Schema, Document } from 'mongoose';
import ICoords from '../interfaces/ICoords';

export interface IReise extends Document {
    name: string;
    userId: string;
    pictures: string[];
    location: ICoords;
    startDate: Date;
    endDate: Date;
}

const reiseSchema: Schema = new mongoose.Schema({
    name: { type: String, required: true },
    userId: { type: String, required: true },
    pictures: { type: [String], required: false },
    location: {
        lat: { type: Number, required: true },
        lon: { type: Number, required: true }
    },
    startDate: { type: Date, required: true },
    endDate: { type: Date, required: true },
});

const Reise = mongoose.model<IReise>('Reise', reiseSchema);

export default Reise;
