import mongoose, { Schema, Document } from 'mongoose';

export interface IUser extends Document {
    name: string;
    surname: string;
    socialHandle: string;
    email: string;
    profilePicture?: string;
    travelId?: string[];
    followers?: string[];
    following?: string[];
    bio?: string;
    kc_id?: string;
}

const userSchema: Schema = new mongoose.Schema({
    name: { type: String, required: true },
    surname: { type: String, required: true },
    socialHandle: { type: String, required: true },
    email: { type: String, required: true },
    profilePicture: { type: String, required: false },
    travelId: { type: [String], required: false },
    followers: { type: [String], required: false },
    following: { type: [String], required: false },
    bio: { type: String, required: false },
    kc_id: {type: String, require: false}
});

const User = mongoose.model<IUser>('User', userSchema);

export default User;
