import express from 'express';
import {addPost, remPost, getAllPosts, likePost, dislikePost, getPostsByTrip} from '../controller/posts.controller';
import {upload, compressImages} from '../middleware/multer.mw';

const router = express.Router();

router.post("/addPost", upload.array("postImages"), compressImages, addPost);
router.delete("/remPost/:postid", remPost);
router.get("/getAllPosts/:userid", getAllPosts);
router.get("/getPostsByTrip/:tripId", getPostsByTrip);
router.post("/likePost", likePost);
router.post("/dislikePost", dislikePost);

export default router;
