import express from 'express';
import {upload} from '../middleware/multer.mw';
import {createReise, deleteReise, getAvailableReisen, getReisenByUserId} from "../controller/reisen.controller";

const router = express.Router();

router.post('/createReise', upload.single('reisePicture'), createReise);

router.get('/getReisenByUserId/:userId', getReisenByUserId);

router.get('/getAvailableReisen/:userId', getAvailableReisen);

router.delete('/deleteReise/:reiseId', deleteReise);

export default router;
