import jwt from 'jsonwebtoken';
import consts from './consts';


const authenticateToken = (req: any, res: any, next: any) => {
    const authHeader = req.headers.authorization;
    const token = authHeader && authHeader.split(' ')[1];
    if (token == null) return res.sendStatus(401);
    jwt.verify(token, consts.signingkey, (err: any, payload: any) => {
        if (err) return res.sendStatus(403);
        req.payload = payload;
        next();
    });
};

export default authenticateToken;